PrefabFiles = {
	"charlie",
}


Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/charlie.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/charlie.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/charlie.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/charlie.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/charlie_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/charlie_silho.xml" ),

    Asset( "IMAGE", "bigportraits/charlie.tex" ),
    Asset( "ATLAS", "bigportraits/charlie.xml" ),
	
	Asset( "IMAGE", "images/map_icons/charlie.tex" ),
	Asset( "ATLAS", "images/map_icons/charlie.xml" ),
	

}
local function CharlieMaxwellIntro(inst)
    if GLOBAL.GetPlayer().prefab == "charlie" then
        inst.components.maxwelltalker.speeches.SANDBOX_1 =
        {
delay = 0,
            appearsound = "dontstarve/maxwell/appear_adventure",
   voice = "dontstarve/maxwell/talk_LP",
appearanim = "appear",
idleanim= "idle",
dialogpreanim = "dialog_pre",
dialoganim="dial_loop",
dialogpostanim = "dialog_pst",
disappearanim = "disappear",
            disableplayer = true,
            skippable = false,
            {
                string = "...Charlie?",
                wait = 2.5,
                anim = nil,
                sound = nil,
            },
            {
                string = "Oh, thank goodness, you're safe.",
                wait = 2.5,
                anim = nil,
                sound = nil,
            },
            {
                string = "How did you-? Ugh. N-nevermind.",
                wait = 2.5,
                anim = nil,
                sound = nil,
            },
            {
                string = "Listen, Charlie.",
                wait = 2.5,
                anim = nil,
            },
            {
                string = "I don't know how long it will take Them to find out.",
                wait = 3,
                anim = nil,
                sound = nil,
            },
			{
                string = "Stay away from the dark. I know They enjoy hiding there...",
                wait = 3,
                anim = nil,
                sound = nil,
            },
			{
                string = "Be safe...",
                wait = 2.5,
                anim = nil,
                sound = nil,
            },
}
 
        inst.components.maxwelltalker.speeches.ADVENTURE_1 =
        {
delay = 2,
            appearsound = "dontstarve/maxwell/appear_adventure",
   voice = "dontstarve/maxwell/talk_LP_world2",
appearanim = "appear2",
idleanim= "idle2_loop",
dialogpreanim = "dialog2_pre",
dialoganim="dialog2_loop",
dialogpostanim = "dialog2_pst",
disappearanim = "disappear2",
            disableplayer = true,
            skippable = false,
            {
string = "Charlie, there's nothing here for you.",
wait = 2.5,
anim = nil,
sound = nil,
},
{
string = "Just... turn around.", 
wait = 2.5, 
anim = nil, 
sound = nil,
},
}
 
        inst.components.maxwelltalker.speeches.ADVENTURE_2 =
{
delay = 2,
   voice = "dontstarve/maxwell/talk_LP_world3",
appearanim = "appear3",
idleanim= "idle3_loop",
dialogpreanim = "dialog3_pre",
dialoganim="dialog3_loop",
dialogpostanim = "dialog3_pst",
disappearanim = "disappear3",
disableplayer = true,
skippable = true,
{
string = "Charlie, I've already told you." ,
wait = 2.5,
anim = nil,
sound = nil,
},
{
string = "You're wasting your time, go back!", 
wait = 2.5, 
anim = nil, 
sound = nil,
},
}
 
        inst.components.maxwelltalker.speeches.ADVENTURE_TWOLANDS =
{
delay = 2,
   voice = "dontstarve/maxwell/talk_LP_world4",
appearanim = "appear4",
idleanim= "idle4_loop",
dialogpreanim = "dialog4_pre",
dialoganim="dialog4_loop",
dialogpostanim = "dialog4_pst",
disappearanim = "disappear4",
disableplayer = true,
skippable = true,
{
string = "This is as far as you can go.",
wait = 2.5,
anim = nil,
sound = nil,
},
{
string = "Don't worry, it's lovely here, I assure you.", 
wait = 3, 
anim = nil, 
sound = nil,
},
{
string = "I've given you everything you could ever want here", 
wait = 3, 
anim = nil, 
sound = nil,
},
{
string = "Just... Disregard the wormhole, Charlie. It's a dead-end.", 
wait = 3, 
anim = nil, 
sound = nil,
},
{
string = "I wish you the best.", 
wait = 2, 
anim = nil, 
sound = nil,
},
}
         inst.components.maxwelltalker.speeches.ADVENTURE_3 =
{
delay = 2,
   voice = "dontstarve/maxwell/talk_LP_world2",
appearanim = "appear2",
idleanim= "idle2_loop",
dialogpreanim = "dialog2_pre",
dialoganim="dialog2_loop",
dialogpostanim = "dialog2_pst",
disappearanim = "disappear2",
disableplayer = true,
skippable = true,
{
string =  "What are you hoping to find, Charlie?",
wait = 3,
anim = nil,
sound = nil,
},
{
string = "There's nothing at the end of this.", 
wait = 3, 
anim = nil, 
sound = nil,
},
{
string = "Nothing.", 
wait = 1, 
anim = nil, 
sound = nil,
},
{
string = "Do not. Proceed.", 
wait = 2, 
anim = nil, 
sound = nil,
},
}
        inst.components.maxwelltalker.speeches.ADVENTURE_4 =
{
delay = 2,
   voice = "dontstarve/maxwell/talk_LP_world4",
appearanim = "appear4",
idleanim= "idle4_loop",
dialogpreanim = "dialog4_pre",
dialoganim="dialog4_loop",
dialogpostanim = "dialog4_pst",
disappearanim = "disappear4",
disableplayer = true,
skippable = true,
{
string = "Why are you still here?!",
wait = 2,
anim = nil,
sound = nil,
},
{
string =  "There's nothing at the end!", 
wait = 2, 
anim = nil, 
sound = nil,
},
{
string = "There's no way out, there's no paradise!", 
wait = 2.5, 
anim = nil, 
sound = nil,
},
{
string = "You won't even find me!", 
wait = 2, 
anim = nil, 
sound = nil,
},
{
string = "Just STOP!", 
wait = 2, 
anim = nil, 
sound = nil,
},
}
 
        inst.components.maxwelltalker.speeches.ADVENTURE_5 =
{
delay = 2,
   voice = "dontstarve/maxwell/talk_LP_world5",
appearanim = "appear5",
idleanim= "idle5_loop",
dialogpreanim = "dialog5_pre",
dialoganim="dialog5_loop",
dialogpostanim = "dialog5_pst",
disappearanim = "disappear5",
disableplayer = true,
skippable = true,
{
string = "Are you pleased with yourself?!" ,
wait = 2.5,
anim = nil,
sound = nil,
},
{
string = "This is where They thrive, Charlie!", 
wait = 2.5, 
anim = nil, 
sound = nil,
},
{
string = "Just stay out of the darkness.", 
wait = 2.5, 
anim = nil, 
sound = nil,
},
{
string = "Stay by my lights.", 
wait = 2, 
anim = nil, 
sound = nil,
},
{
string = "You'll be alright...", 
wait = 2, 
anim = nil, 
sound = nil,
},
{
string = "...I pray.", 
wait = 1, 
anim = nil, 
sound = nil,
},
}
    end
end
AddPrefabPostInit("maxwellintro", CharlieMaxwellIntro)
local function CharlieMaxwellEndgame(inst)
if GLOBAL.GetPlayer().prefab == "charlie" then
	inst.components.maxwelltalker.speeches.INTRO =
	{
			  voice = "dontstarve/maxwell/talk_LP_world6",
        --appearanim = "appear",
        idleanim= "idle_loop",
        dialogpreanim = "dialog_pre",
        dialoganim="dialog_loop",
        dialogpostanim = "dialog_pst",
        --disappearanim = "disappear",
        disableplayer = false,
        skippable = false,
        {
            string = "No... please, don't be...",
            wait = 3,
            waitbetweenlines = 0,
            anim = nil,
            sound = nil,
            },
			}
	inst.components.maxwelltalker.speeches.TELEPORTALFAIL =
        {
		delay = 4,
        voice = "dontstarve/maxwell/talk_LP_world6",
        idleanim= "idle_loop",
        dialogpreanim = "dialog_pre",
        dialoganim="dialog_loop",
        dialogpostanim = "dialog_pst",
        disableplayer = false,
        skippable = false,
        {
            string = "No, Charlie...",
            wait = 3,
            anim = nil,
            sound = nil,
        },
        {
            string = "It doesn't work...",
            wait = 3,
            anim = nil,
            sound = nil,
			 },
    }
           inst.components.maxwelltalker.speeches.HIT =
    {
	    voice = "dontstarve/maxwell/talk_LP_world6",
        --appearanim = "appear",
        idleanim= "idle_loop",
        dialogpreanim = "dialog_pre",
        dialoganim="dialog_loop",
        dialogpostanim = "dialog_pst",
        --disappearanim = "disappear",
        disableplayer = false,
        skippable = false,
        {
            string = "You can't kill me... not like that.",
            wait = 3,
            waitbetweenlines = 0,
            anim = nil,
            sound = nil,
        },
    }
	 inst.components.maxwelltalker.speeches.NOUNLOCK =
    {
	    voice = "dontstarve/maxwell/talk_LP_world6",
        idleanim= "idle_loop",
        dialogpreanim = "dialog_pre",
        dialoganim="dialog_loop",
        dialogpostanim = "dialog_pst",
        disableplayer = false,
        skippable = false,
        {
            string = "No, Charlie! I-it... it'll kill me, remember?",
            wait = 3,
            waitbetweenlines = 0,
            anim = nil,
            sound = nil,
        },
    }
	 inst.components.maxwelltalker.speeches.PHONOGRAPHON =
    {
        voice = "dontstarve/maxwell/talk_LP_world6",
        idleanim= "idle_loop",
        dialogpreanim = "dialog_pre",
        dialoganim="dialog_loop",
        dialogpostanim = "dialog_pst",
        disableplayer = false,
        skippable = false,
		   {
            string = "Well, if you enjoy it...",
            wait = 3,
            anim = nil,
            sound = nil,
        },
    }
	  inst.components.maxwelltalker.speeches.PHONOGRAPHOFF = 
    {
        voice = "dontstarve/maxwell/talk_LP_world6",
        idleanim= "idle_loop",
        dialogpreanim = "dialog_pre",
        dialoganim="dialog_loop",
        dialogpostanim = "dialog_pst",
        disableplayer = false,
        skippable = false,
		   {
            string = "Thank you. I've been listening to that song for an eternity.",
            wait = 4,
            anim = nil,
            sound = nil,
        },
    } 
 
end
end
AddPrefabPostInit("maxwellendgame", CharlieMaxwellEndgame)


local require = GLOBAL.require
 

-- strings! Any "charlie" below would have to be replaced by the prefab name of your character.

-- The character select screen lines
-- note: these are lower-case  character name
GLOBAL.STRINGS.CHARACTER_TITLES.charlie = "The Assistant"
GLOBAL.STRINGS.CHARACTER_NAMES.charlie = "Charlie"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.charlie = "*Looking for the magician.\n*The darkness she fears also strengthens her."
GLOBAL.STRINGS.CHARACTER_QUOTES.charlie = "\"Hello?\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE character name
GLOBAL.STRINGS.CHARACTERS.CHARLIE = require "speech_charlie"

-- Let the game know charlie is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "charlie")

AddMinimapAtlas("images/map_icons/charlie.xml")

AddModCharacter("charlie")




